PHP 8.2 und bestehender Code

MyOOS hat einen Fehler, oder tut nicht das, was Ihr erwartet? Derartige "Unanehmlichkeiten" bitte hier.
Antworten
r23
Beiträge: 2718
Registriert: 18.09.2008, 05:56
Wohnort: Hagen
Kontaktdaten:

PHP 8.2 und bestehender Code

Beitrag von r23 »

Hallo,

ob ein PHP Script unter PHP 8.2 funktioniert, kann man mit

PHPCompatibility
https://github.com/PHPCompatibility/PHPCompatibility

prüfen

Installation über Composer

Code: Alles auswählen

composer require squizlabs/php_codesniffer --dev
composer require phpcompatibility/php-compatibility @develop --dev
@develop --dev erforderte Änderungen und/oder weitere Optionen. Composer hilft bei der Einrichtung.

Wenn nicht, kann man auf https://beta.character.ai/ den Agenten Pair Rogrammer fragen.

Intelligente Agenten sind Programme, die autonom in einer Umgebung wahrnehmen, entscheiden und handeln können. Sie haben Eigenschaften wie Wissen, Lernfähigkeit, logisches Schließen, Kreativität und manchmal auch Eigeninitiative, die eher menschlichem intelligenten Verhalten ähneln.


Prüfen kann man dann mit

Code: Alles auswählen

phpcs -p ./src --standard=vendor/phpcompatibility/php-compatibility/PHPCompatibility --runtime-set testVersion 8.2

Verbesserungsvorschläge, ändere Tools oder gar einen Fehler gefunden? Ich freue mich auf Kommentare

Beste Grüße

Ralf
Antworten